<?
if($_POST) 
		{ 
	$keys_post = array_keys($_POST); 
    foreach ($keys_post as $key_post) 
    { 
    $$key_post = $_POST[$key_post]; 
    error_log("variable $key_post viene desde $ _POST"); 
    } 
} 
		
if($_GET) 
	{ 
	$keys_get = array_keys($_GET); 
	foreach ($keys_get as $key_get) 
	{ 
   	$$key_get = $_GET[$key_get]; 
   	error_log("variable $key_get viene desde $ _GET"); 
	} 
}		

//echo "------|".$empresa_global."|-------";

session_start();

class sb_mysql{
   
 public $conexion;   
 private $total_consultas;
 public  $total_paginas;
 public  $pagina;
 public  $registros; 
 public  $sql;
 public  $ano_actual;
 public  $mes_actual;
 public  $id_proceso;
 public  $uf;
 public  $utm;
 public  $automatico_proceso;
 public  $ver;
 public  $modificacion;
 
 
 public function sb_mysql(){   
 	if(!isset($this->conexion)){   
  		$this->conexion = ( new mysqli("192.168.0.11","mcaceres","mlcc56")) or die(mysql_error());   
  		mysqli_select_db($this->conexion,"softemuco") or die(mysql_error());   
  	} 
	//$this->proceso($_SESSION['ss_empresa']);
	
}

public function proceso($empresa){

	$sql="select 
			Codigo_Proceso,
			Mes_Proceso,
			Ano_Proceso,
		  	Actual_Proceso,
			Abierto_Proceso,
			uf,
			utm,
			Automatico_Proceso  
		  from sb_proceso where Codigo_Empresa_Proceso='".$empresa."' and Actual_Proceso=1 and
		       Activo_proceso=1
		  ";
	//echo $sql;	  
	$resultado = mysqli_query($this->conexion,$sql);  
	$num=mysqli_num_rows($resultado);
	if($num==1){	     
		$reg = mysqli_fetch_array($resultado);
		$this->ano_actual=$reg['Ano_Proceso'];
 		$this->mes_actual=$reg['Mes_Proceso'];
 		$this->id_proceso=$reg['Codigo_Proceso'];
		$this->uf=$reg['uf'];
		$this->utm=$reg['utm'];
		$this->automatico_proceso=$reg['Automatico_Proceso'];
		
		$sql2="select count(*) as num from sb_proceso where  Codigo_Proceso>".$this->id_proceso." 
		 and Codigo_Empresa_Proceso='".$empresa."' and Activo_proceso=1
		";
		$resultado2 = mysqli_query($this->conexion,$sql2);  
		$reg2 = mysqli_fetch_array($resultado2);
		
		if($reg2['num']==1){
		$this->modificacion=1;
		}
		
	}else{
	$sql="select 
			Codigo_Proceso,
			Mes_Proceso,
			Ano_Proceso,
		  	Actual_Proceso,
			Abierto_Proceso,
			uf,
			utm,
			Automatico_Proceso  
		  from sb_proceso where Codigo_Empresa_Proceso='".$empresa."' and Abierto_Proceso=1 and 
		  Activo_proceso=1";
	//echo $sql;	  
	$resultado = mysqli_query($this->conexion,$sql);  
	$num=mysqli_num_rows($resultado);
	
		$reg = mysqli_fetch_array($resultado);
		$this->ano_actual=$reg['Ano_Proceso'];
 		$this->mes_actual=$reg['Mes_Proceso'];
 		$this->id_proceso=$reg['Codigo_Proceso'];
		$this->uf=$reg['uf'];
		$this->utm=$reg['utm'];
		$this->automatico_proceso=$reg['Automatico_Proceso'];
		$this->ver=1;
		
	}
}
    
 public function consulta($consulta){   
  	$this->total_consultas++;
	if (!$this->pagina) { 
		$inicio = 0; 
	}else { 
		$inicio = (($this->pagina - 1) * $this->registros);  
	} 
	// total de paginas
	
	$this->total_paginas = ceil((mysqli_num_rows(mysqli_query($this->conexion,$consulta))) / $this->registros);	  
	$this->sql=$consulta." limit $inicio,".$this->registros;
	//echo $this->sql;
	$resultado = mysqli_query($this->conexion,$this->sql);   
  	if(!$resultado){   
  		echo "MySQL Error: ". mysql_error();   
  		exit;   
  	}   
  	return $resultado;    
  }

 public function consulta_free($consulta){   
	$resultado = mysqli_query($this->conexion,$consulta);   
  	if(!$resultado){   
  		echo 'MySQL Error: ' . $this->conexion->error;   
  		exit;   
  	}   
  	return $resultado;    
  }
  
public function sb_array($consulta){    
  	return mysqli_fetch_array($consulta);   
  }   
public function num_rows($consulta){
   //$this->total_paginas = ceil((mysql_num_rows($consulta)) / $this->registros);	    
  	return mysqli_num_rows($consulta);   
  }   
 
}
?>
